Categories:
  - Money
License: Apache-2.0
AuthorName: Nighthawk Apps
AuthorEmail: nighthawkwallet@protonmail.com
WebSite: https://nighthawkwallet.com/
SourceCode: https://github.com/nighthawk-apps/nighthawk-wallet-android
IssueTracker: https://github.com/nighthawk-apps/nighthawk-wallet-android/issues
Translation: https://crowdin.com/project/nighthawk-wallet
Changelog: https://github.com/nighthawk-apps/nighthawk-wallet-android/releases

AutoName: Nighthawk

RepoType: git
Repo: https://github.com/nighthawk-apps/nighthawk-wallet-android

Builds:
  - versionName: 1.0.25
    versionCode: 10025800
    commit: v1.0.25
    subdir: app
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.26
    versionCode: 10026800
    commit: deb6cf51dc885193c14ea7caf90a9c369264f2b5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.27
    versionCode: 10027800
    commit: bcdbccd1b561debc8bc78e9acaf60741bcc63631
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.29
    versionCode: 10029800
    commit: 3b2f86064987f27388acc895fc1115a617cdae72
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.30
    versionCode: 10030800
    commit: 2201d80854f77439c6186c8ac118d246559fb011
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.31
    versionCode: 10031800
    commit: 71d11e74857452bc9a1e83123e426403b46931d2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.32
    versionCode: 10032800
    commit: b582beb976dbd14c5c12f3b795faa5a285e1e043
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.33
    versionCode: 10033800
    commit: 4368c708e928acae8857362bcd00a9636f8ed744
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.34
    versionCode: 10034800
    commit: b0f074d6d63d5fc794cb99d3aeb83fdd9a39ea09
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.35
    versionCode: 10035800
    commit: 9b099556a7818039be6a263613a676aad03ee978
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.36
    versionCode: 10036800
    commit: abf5bf7655987a7a635f9c39ac72c96c06a7f016
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.37
    versionCode: 10037800
    commit: 38ca117934ea7c650b8f90d226aaeab744312e44
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 1.0.38
    versionCode: 10038800
    commit: 8b35ad3f0af4cfa5ebd3c77331b8ad0519ab9655
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r21b

  - versionName: 2.0.03
    versionCode: 20003200
    commit: cd72a1eec47501991588dda8c93e85213c8426be
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r25

  - versionName: 2.0.04
    versionCode: 20004200
    commit: 2ac996dc293c05a5740e9b3a68f78c9a9894f7bd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - zcashmainnet
    ndk: r25

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: buildSrc/src/main/java/com/nighthawkapps/wallet/android/Dependencies.kt|versionCode\s=\s([\d_]+)|.|versionName\s=\s"([\d.]+)"
CurrentVersion: 2.0.04
CurrentVersionCode: 20004200
